Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.renderer.impl
Class TemplateAttributeRenderer

    java.lang.Object
      org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer
          org.apache.tiles.renderer.impl.AbstractTypeDetectingAttributeRenderer
              org.apache.tiles.renderer.impl.TemplateAttributeRenderer

All Implemented Interfaces:
  TilesApplicationContextAware, TilesRequestContextFactoryAware, AttributeEvaluatorFactoryAware, AttributeRenderer, TypeDetectingAttributeRenderer

    public class TemplateAttributeRenderer

extends AbstractTypeDetectingAttributeRenderer

Renders an attribute that contains a reference to a template.

Since:
  2.1.0
Version:
  $Rev: 821299 $ $Date: 2009-10-03 14:15:05 +0200 (sab, 03 ott 2009) $

Field Summary

Fields inherited from class org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer
`applicationContext, attributeEvaluatorFactory, contextFactory`

Constructor Summary
`TemplateAttributeRenderer()`

Method Summary
`boolean` | `isRenderable(java.lang.Object value, Attribute attribute, TilesRequestContext request)` Checks if this renderer can render an attribute.
`void` | `write(java.lang.Object value, Attribute attribute, TilesRequestContext request)` Implement this method knowing that the attribute won't be null and it will be authorized.

Methods inherited from class org.apache.tiles.renderer.impl.AbstractTypeDetectingAttributeRenderer
`isRenderable`

Methods inherited from class org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer
`getRequestContext, isPermitted, render, setApplicationContext, setAttributeEvaluatorFactory, setRequestContextFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tiles.renderer.AttributeRenderer
`render`

Constructor Detail

### TemplateAttributeRenderer

    public TemplateAttributeRenderer()

Method Detail

### write

    public void write(java.lang.Object value,
                      Attribute attribute,
                      TilesRequestContext request)
               throws java.io.IOException

  Implement this method knowing that the attribute won't be null and it will be authorized.

  Specified by:
    `write` in class `AbstractBaseAttributeRenderer`
  Parameters:
    `value` - The value of the attribute to be rendered.
    `attribute` - The attribute to render.
    `request` - The Tiles request object.
  Throws:
    `java.io.IOException` - If something goes wrong during rendition.

### isRenderable

    public boolean isRenderable(java.lang.Object value,
                                Attribute attribute,
                                TilesRequestContext request)

  Checks if this renderer can render an attribute. Note that this does not mean it is the best renderer available, but checks only its capability.

  Parameters:
    `value` - The attribute value, already evaluated.
    `attribute` - The attribute to be renderer.
    `request` - The Tiles request context.
  Returns:
    `true` if this renderer can render the attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.